Bug 267441 - Possible NULL pointer deferences in cman
Possible NULL pointer deferences in cman
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All All
low Severity low
: ---
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 11:30 EDT by Ryan McCabe
Modified: 2009-04-16 18:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix possible NULL pointer dereferences (2.45 KB, patch)
2007-08-30 11:30 EDT, Ryan McCabe
no flags Details | Diff

  None (edit)
Description Ryan McCabe 2007-08-30 11:30:17 EDT
I ran across a few places where code can try to dereference NULL pointers in
cman, fenced, and groupd while hunting down something else. Probably unlikely
that any of these is hit during normal operation, but might as well fix, anyway.

Patch is attached. I've checked the fixes into HEAD already.
Comment 1 Ryan McCabe 2007-08-30 11:30:17 EDT
Created attachment 181241 [details]
patch to fix possible NULL pointer dereferences
Comment 2 David Teigland 2007-08-30 15:02:48 EDT
thanks, let's put them into the RHEL5 branch as well
Comment 3 Ryan McCabe 2007-08-31 10:26:32 EDT
Committed to the RHEL5 branch now.
Comment 5 RHEL Product and Program Management 2008-01-21 15:25:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 11:57:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html

Note You need to log in before you can comment on or make changes to this bug.